PeopleForce
People

Early access

Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.

List person lifecycle records

Returns a list of lifecycle records for a person

GET
/api/v4/people/{person_id}/lifecycles

Returns a list of lifecycle records for a person

Path Parameters

person_id*integer
Formatint32

Response Body

application/json

curl -X GET "https://example.com/api/v4/people/0/lifecycles"
{  "data": [    {      "id": 0,      "start_date": "2019-08-24",      "experience_before_hire": 0,      "last_working_day": "2019-08-24",      "last_day_in_office": "2019-08-24",      "termination_type": {        "id": 0,        "name": "string"      },      "termination_reason": {        "id": 0,        "name": "string"      },      "termination_comment": "string",      "eligible_for_rehire": true,      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z"    }  ]}